Subject: bug#36879: 26.2; OSC 52 paste in term/xterm.el not working

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Aug 2019 14:52:13 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 03 Aug 2019 13:41:03 +0200
> Cc: Philipp Stephani <[email-masked]>,
>  Stefan Monnier <[email-masked]>, [email-masked]
> 
> The question is rather, how did this code ever work in the first
> place? As you observed, when XTerm sends the reply, it uses BEL as
> terminator. Emacs uses BEL (C-g) as INTR char, which means that not
> only is special effort required to avoid having it quit the current
> elisp code -- this could have been done using inhibit-quit -- but when
> the pty receives the BEL from XTerm, it immediately discards unread
> characters and raises SIGINT.

You are saying that TTY frames cannot handle inhibit-quit correctly?